Admin O Auth Device Authorisation List
List OAuth device authorisation records. Device authorisation records are short-lived records created by the OAuth 2.0 Device Authorization Grant. They are not owned by an account until a signed-in user claims and approves or denies the user code.
List OAuth device authorisation records.
Device authorisation records are short-lived records created by the OAuth 2.0 Device Authorization Grant. They are not owned by an account until a signed-in user claims and approves or denies the user code.
/admin/oauth/device-authorizationsIn: cookie
Response Body
application/json
application/json
curl -X GET "https://loading/api/admin/oauth/device-authorizations"{
"device_authorisations": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"client_id": "cc5lnd2s1s4652adtu50",
"user_code": "string",
"scope": "string",
"expires_at": "2019-08-24T14:15:22Z",
"poll_interval_seconds": 0,
"last_polled_at": "2019-08-24T14:15:22Z",
"approved_by_account_id": "cc5lnd2s1s4652adtu50",
"approved_at": "2019-08-24T14:15:22Z",
"denied_at": "2019-08-24T14:15:22Z",
"consumed_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Admin O Auth Client Update PATCH
Update an OAuth client. Changing allowed grants or scopes only affects future authorisation and refresh operations. Already-issued JWT access tokens remain valid until their expiry unless their signing key is rotated. For account-owned clients, allowed permission scopes must be grantable by the owning account. An account with `ADMINISTRATOR` may configure any Storyden permission scope because `ADMINISTRATOR` implicitly grants all permissions.
Admin O Auth Device Authorization List GET
List OAuth device authorisation records. Device authorisation records are short-lived records created by the OAuth 2.0 Device Authorisation Grant. They are not owned by an account until a signed-in user claims and approves or denies the user code.